openshot::ReaderInfo Struct Reference

This struct contains info about a media file, such as height, width, frames per second, etc... More...

`#include <ReaderBase.h>`

## Public Attributes

string | acodec
| The name of the audio codec used to encode / decode the video stream. More...
int | audio_bit_rate
| The bit rate of the audio stream (in bytes) More...
int | audio_stream_index
| The index of the audio stream. More...
Fraction | audio_timebase
| The audio timebase determines how long each audio packet should be played. More...
ChannelLayout | channel_layout
| The channel layout (mono, stereo, 5 point surround, etc...) More...
int | channels
| The number of audio channels used in the audio stream. More...
Fraction | display_ratio
| The ratio of width to height of the video stream (i.e. 640x480 has a ratio of 4/3) More...
float | duration
| Length of time (in seconds) More...
int64_t | file_size
| Size of file (in bytes) More...
Fraction | fps
| Frames per second, as a fraction (i.e. 24/1 = 24 fps) More...
bool | has_audio
| Determines if this file has an audio stream. More...
bool | has_single_image
| Determines if this file only contains a single image. More...
bool | has_video
| Determines if this file has a video stream. More...
int | height
| The height of the video (in pixels) More...
bool | interlaced_frame
int | pixel_format
| The pixel format (i.e. YUV420P, RGB24, etc...) More...
Fraction | pixel_ratio
| The pixel ratio of the video stream as a fraction (i.e. some pixels are not square) More...
int | sample_rate
| The number of audio samples per second (44100 is a common sample rate) More...
bool | top_field_first
string | vcodec
| The name of the video codec used to encode / decode the video stream. More...
int | video_bit_rate
| The bit rate of the video stream (in bytes) More...
int64_t | video_length
| The number of frames in the video stream. More...
int | video_stream_index
| The index of the video stream. More...
Fraction | video_timebase
| The video timebase determines how long each frame stays on the screen. More...
int | width
| The width of the video (in pixesl) More...

## Detailed Description

This struct contains info about a media file, such as height, width, frames per second, etc...

Each derived class of ReaderBase is responsible for updating this struct to reflect accurate information about the streams. Derived classes of ReaderBase should call the InitFileInfo() method to initialize the default values of this struct.

Definition at line 59 of file ReaderBase.h.

## Member Data Documentation

## acodec

string openshot::ReaderInfo::acodec

The name of the audio codec used to encode / decode the video stream.

Definition at line 79 of file ReaderBase.h.

## audio_bit_rate

int openshot::ReaderInfo::audio_bit_rate

The bit rate of the audio stream (in bytes)

Definition at line 80 of file ReaderBase.h.

## audio_stream_index

int openshot::ReaderInfo::audio_stream_index

The index of the audio stream.

Definition at line 84 of file ReaderBase.h.

## audio_timebase

Fraction openshot::ReaderInfo::audio_timebase

The audio timebase determines how long each audio packet should be played.

Definition at line 85 of file ReaderBase.h.

## channel_layout

ChannelLayout openshot::ReaderInfo::channel_layout

The channel layout (mono, stereo, 5 point surround, etc...)

Definition at line 83 of file ReaderBase.h.

## channels

int openshot::ReaderInfo::channels

The number of audio channels used in the audio stream.

Definition at line 82 of file ReaderBase.h.

## display_ratio

Fraction openshot::ReaderInfo::display_ratio

The ratio of width to height of the video stream (i.e. 640x480 has a ratio of 4/3)

Definition at line 72 of file ReaderBase.h.

## duration

float openshot::ReaderInfo::duration

Length of time (in seconds)

Definition at line 64 of file ReaderBase.h.

## file_size

int64_t openshot::ReaderInfo::file_size

Size of file (in bytes)

Definition at line 65 of file ReaderBase.h.

## fps

Fraction openshot::ReaderInfo::fps

Frames per second, as a fraction (i.e. 24/1 = 24 fps)

Definition at line 69 of file ReaderBase.h.

## has_audio

bool openshot::ReaderInfo::has_audio

Determines if this file has an audio stream.

Definition at line 62 of file ReaderBase.h.

## has_single_image

bool openshot::ReaderInfo::has_single_image

Determines if this file only contains a single image.

Definition at line 63 of file ReaderBase.h.

## has_video

bool openshot::ReaderInfo::has_video

Determines if this file has a video stream.

Definition at line 61 of file ReaderBase.h.

## height

int openshot::ReaderInfo::height

The height of the video (in pixels)

Definition at line 66 of file ReaderBase.h.

## interlaced_frame

bool openshot::ReaderInfo::interlaced_frame

Definition at line 77 of file ReaderBase.h.

## pixel_format

int openshot::ReaderInfo::pixel_format

The pixel format (i.e. YUV420P, RGB24, etc...)

Definition at line 68 of file ReaderBase.h.

## pixel_ratio

Fraction openshot::ReaderInfo::pixel_ratio

The pixel ratio of the video stream as a fraction (i.e. some pixels are not square)

Definition at line 71 of file ReaderBase.h.

## sample_rate

int openshot::ReaderInfo::sample_rate

The number of audio samples per second (44100 is a common sample rate)

Definition at line 81 of file ReaderBase.h.

## top_field_first

bool openshot::ReaderInfo::top_field_first

Definition at line 78 of file ReaderBase.h.

## vcodec

string openshot::ReaderInfo::vcodec

The name of the video codec used to encode / decode the video stream.

Definition at line 73 of file ReaderBase.h.

## video_bit_rate

int openshot::ReaderInfo::video_bit_rate

The bit rate of the video stream (in bytes)

Definition at line 70 of file ReaderBase.h.

## video_length

int64_t openshot::ReaderInfo::video_length

The number of frames in the video stream.

Definition at line 74 of file ReaderBase.h.

## video_stream_index

int openshot::ReaderInfo::video_stream_index

The index of the video stream.

Definition at line 75 of file ReaderBase.h.

## video_timebase

Fraction openshot::ReaderInfo::video_timebase

The video timebase determines how long each frame stays on the screen.

Definition at line 76 of file ReaderBase.h.

## width

int openshot::ReaderInfo::width

The width of the video (in pixesl)

Definition at line 67 of file ReaderBase.h.

The documentation for this struct was generated from the following file:

- ReaderBase.h